Show / Hide Table of Contents

# Class OwnedStdString

##### Inheritance

System.Object
OwnedStdString

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Libc

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class OwnedStdString : IDisposable

### Properties

| Improve this Doc View Source

#### Address

##### Declaration

    public IntPtr Address { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Finalize()

##### Declaration

    protected void Finalize()

| Improve this Doc View Source

#### Read()

##### Declaration

    public StdString Read()

##### Returns

Type | Description
--- | ---
StdString |

### Implements

System.IDisposable